<bugID>1114355<Summary>When downloading content, PDF.js seems to synchronously do its work, which blocks painting other tabs</Summary><Description>STR:

1. Have one tab open, and in a new tab load &lt;http://www.hipeac.net/system/files/grigori.pdf&gt;.
2. The progress seems to take a long time in downloading data according to the status bar message.  During this time, try to switch tabs.  The other tab cannot paint.</Description></bugID>